AnsweredAssumed Answered

New to API need some help

Question asked by Alfonso Cartagena on Sep 1, 2015
Latest reply on Sep 3, 2015 by Alfonso Cartagena

Hello Everyone,

 

I am new to SolidWorks API and I am having a few issues. What I am trying to create a macro to accomplish this .

 

          I have a "main assembly" with a part in it that we will call "plate2". Putting tapped holes in plate 2 is the goal. I also have a "sub assembly" which is inserted into the "main      assembly". Within this "sub assembly" I have a part we will call "male". Within the "male" part I have a sketch called "Sketch8". This sketch contains 2 points that are needed to      locate the tapped holes being cut into "plate2".

 

I currently have an action preformed before this part of the code which creates cavities for the "male" part to be located in "plate2". This part of the code does work. I have attached a portion of the code and where I'm the having issue.  I know I need to grab the SldWorks.PartDoc interface for the "male" part, but that is where I'm confused.Code.PNG

 

Thank you for the help,

Alfonso

Outcomes